Bug 498426 - btrecord doesn't recognize --max-pkts and --max-packets cmd line options
btrecord doesn't recognize --max-pkts and --max-packets cmd line options
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: blktrace (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Eric Sandeen
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-30 09:09 EDT by Milos Malik
Modified: 2013-06-21 10:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:41:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2009-04-30 09:09:45 EDT
Description of problem:
The usage message claims that btrecord supports command line option called --max-pkts . The man page claims that btrecord supports command line
option called --max-packets . Both of them are rejected by the utility. On the other hand the utility supports command line option called --max_pkts ('-' vs. '_' problem).

Version-Release number of selected component (if applicable):
blktrace-1.0.0-3.el5

How reproducible:
always

Steps to Reproduce:
# man btrecord | col -b | grep -A 1 -B 1 "max-packets"
       -M <num>
       --max-packets=<num>
              Set maximum number of packets per bunch.  The -M option requires
# btrecord --max-packets 2>&1 | head -n 2
btrecord: unrecognized option `--max-packets'
Usage: btrecord -- version 0.9.3
# btrecord --help 2>&1 | grep "max-pkts"
        [ -M <pkts> : --max-pkts=<pkts>       ] Default: 8
# btrecord --max-pkts 2>&1 | head -n 2
btrecord: unrecognized option `--max-pkts'
Usage: btrecord -- version 0.9.3
  
Actual results:
inconsistency between man page, usage message and the utility

Expected results:
modified man page and modified usage message

Additional info:
Comment 1 Eric Sandeen 2009-04-30 11:59:58 EDT
Thanks, sent a patch upstream to make things consistent on "--max-pkts" though maybe it'd be better to make the docs match the existing "--max_pkts" that the code accepts.... we'll see which one Jens prefers.

-Eric
Comment 6 Eric Sandeen 2009-05-13 18:54:05 EDT
Committed & built in blktrace-1.0.0-6.el5
Comment 8 Martin Kočí 2009-05-18 01:49:53 EDT
Patch committed by upstream. Qa acked for 5.4.
Comment 14 errata-xmlrpc 2009-09-02 05:41:09 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1284.html

Note You need to log in before you can comment on or make changes to this bug.